
#define uchar uint8_t

#include "defines.h"

#if defined(__ets__)
    #include <Libraries/OneWire/OneWire.h>
#endif

extern uint8_t	scratchpad_table[4][9];
extern uint8_t	sensor_addreses[4][8];
extern uint8_t	temp_units[4];
extern uint16_t	temp_parts[4];
extern uint8_t	temp_sign[4];
extern uint16_t	temp_100s[4];

#if defined(__AVR__)
void 		address_dallas(uint8_t dallas_idx);
uint8_t		read_dallas(uint8_t sensor_idx);
#endif

#if defined(__ets__)
extern void 		address_dallas(uint8_t dallas_idx, OneWire W1_bus);
extern uint8_t		read_dallas(uint8_t sensor_idx, OneWire W1_bus);
#endif

extern void 		decode_dallas(uint8_t sensor_idx);
