#
#include "defines.h"
#include "onewire.h"
#if defined(__ets__)
    #include <Libraries/LiquidCrystal/LiquidCrystal_I2C.h>
#endif

#define uchar uint8_t

extern		uint8_t		temperature_labels[4][8];
extern		uint8_t		scratchpad_table[4][9];
extern volatile	uint8_t		deciseconds;
extern volatile	uint8_t		soft_keys;
extern volatile	uint8_t		flagi;

#if defined(__AVR__)
extern volatile	uint8_t		num_of_sensors;
extern const	uint8_t		sensor_addreses_eeprom[4][8];
extern const	uint8_t		num_of_sensors_eeprom;
extern const	uint8_t		lcd_flags_in_eeprom;
#endif

#if defined(__ets__)
extern		uint8_t		num_of_sensors;
extern		LiquidCrystal_I2C lcd;
#endif

extern void do_config(void);

extern uint8_t crc8(uint8_t* data, uint16_t number_of_bytes_in_data);
extern void lcd_clrscr(void);
extern void lcd_gotoxy(uint8_t x, uint8_t y);
extern void lcd_putc(char c);
extern void lcd_puts(const char *s);
