/* **********************************************************************/
/* counts ones in given (16-bit for now) code				*/
/* needed to calculate gap if CONST_LENGTH flag is used			*/
/* **********************************************************************/

#include "ones_count.h"

#if defined(__AVR__)
uint8_t			ones_count8(uint8_t code, uint8_t bits)
#endif
#if defined(__ets__)
uint8_t			ones_count8(uint8_t code, uint8_t bits)
#endif

{

uint8_t		temp_counter;
uint8_t 	temp_count;

    if (bits == 0) { return(0); }

    temp_count = 0;
    code <<= (8 - bits);
    for (temp_counter = 0; temp_counter < bits; temp_counter++) {
	if ((code & 0x80) == 0x80) { temp_count++;
					}
	code <<= 1;
							      }
    return(temp_count);
}

/* **********************************************************************/
