/*************************************************************/
// imported from example: Telnet_TCPServer_TCPClient

#if defined(__ets__)
#include "AppSettings.h"

#include "main_tcp_server.h"

/* --------------------------------------------------------- */

void stop_AP(void)
{
	WifiAccessPoint.enable(false);
	AP_started = false;
}

/* --------------------------------------------------------- */
/* TRY to respond */

void on_STA_Termometr(HttpRequest &request, HttpResponse &response)
{
    if (serving_www != true) {
	serving_www = true;
	if (request.getRequestMethod() == RequestMethod::POST)
	{
//		AppSettings.dhcp = request.getPostParameter("dhcp") == "1";
//		AppSettings.ip = request.getPostParameter("ip");
//		AppSettings.netmask = request.getPostParameter("netmask");
//		AppSettings.gateway = request.getPostParameter("gateway");
//		debugf("Updating IP settings: %d", AppSettings.ip.isNull());
//		AppSettings.save();
	}

	TemplateFileStream *tmpl = new TemplateFileStream("termometr_bimbrownika.html");
	auto &vars = tmpl->variables();

	if (temp_100s_valid[0] == true)  {  if ((flagi3 & TEMP_1_FILTER_ENABLED) == 0) {
						vars["Tkolumny_units"] = temp_units[0];
						if ((temp_100s[0] % 100) < 10 ) { vars["Tkolumny_parts"] = String('0') + String(temp_100s[0] % 100); }
						    else { vars["Tkolumny_parts"] = (temp_100s[0] % 100); }
										      }
					    else {
						vars["Tkolumny_units"] = temp_1_filtered_10sec_100s / 100;
						if ((temp_1_filtered_10sec_100s % 100) < 10 ) { vars["Tkolumny_parts"] = String('0') + String(temp_1_filtered_10sec_100s % 100); }
						    else { vars["Tkolumny_parts"] = (temp_1_filtered_10sec_100s % 100); }
						 }
					 }
				    else { vars["Tkolumny_units"] = "--";
					   vars["Tkolumny_parts"] = "--";    }

	if (temp_100s_valid[1] == true)  {  if ((flagi3 & TEMP_2_FILTER_ENABLED) == 0)  {
						vars["Tglowicy_units"] = temp_units[1];
						if ((temp_100s[1] % 100) < 10) { vars["Tglowicy_parts"] = String('0') + String(temp_100s[1] % 100); }
						    else { vars["Tglowicy_parts"] = (temp_100s[1] % 100); }
											}
					    else {
						vars["Tglowicy_units"] = temp_2_filtered_10sec_100s / 100;
						if ((temp_2_filtered_10sec_100s % 100) < 10 ) { vars["Tglowicy_parts"] = String('0') + String(temp_2_filtered_10sec_100s % 100); }
						    else { vars["Tglowicy_parts"] = (temp_2_filtered_10sec_100s % 100); }
						 }
					 }
				    else { vars["Tglowicy_units"] = "--";
					   vars["Tglowicy_parts"] = "--";    }

	if (temp_100s_valid[2] == true)  { vars["Twody_units"] = temp_units[2];
					   if ((temp_100s[2] % 100) < 10) { vars["Twody_parts"] = String('0') + String(temp_100s[2] % 100); }
						else { vars["Twody_parts"] = (temp_100s[2] % 100); }
					 }
				    else { vars["Twody_units"] = "--";
					   vars["Twody_parts"] = "--";    }

	if (temp_100s_valid[3] == true)  { vars["Tcieczy_units"] = temp_units[3];
					   if ((temp_100s[3] % 100) < 10) { vars["Tcieczy_parts"] = String('0') + String(temp_100s[3] % 100); }
						else { vars["Tcieczy_parts"] = (temp_100s[3] % 100); }
					 }
				    else { vars["Tcieczy_units"] = "--";
					   vars["Tcieczy_parts"] = "--";    }

	if ((alarm_type & COLUMN_ALARM_TYPE) != 0) { vars["COLUMN_D_BG"] = "bgcolor='red'"; }
					    else   { vars["COLUMN_D_BG"] = "bgcolor='white'"; }

	if ((COLUMN_ALARM_ENABLED_FLAG_VARIABLE & COLUMN_ALARM_ENABLED_FLAG) != 0)
			{ vars["COLUMN_ALM_BG"] = "bgcolor=\"#ffff00\""; }
	    else	{ vars["COLUMN_ALM_BG"] = "bgcolor='white'"; }

	if ((COLUMN_IS_DELTA_FLAG_VARIABLE & COLUMN_IS_DELTA_FLAG) != 0) { 
					    if (temp_100s_delta_sign[0] == 0) {
						  vars["Tkolumny_d_s"] = '+'; }
					    else{ vars["Tkolumny_d_s"] = '-'; }

					    vars["Tkolumny_d_u"] = temp_100s_delta[0] / 100;
					    if ((temp_100s_delta[0] % 100) < 10) { vars["Tkolumny_d_p"] = String('0') + String(temp_100s_delta[0] % 100); }
						else { vars["Tkolumny_d_p"] = (temp_100s_delta[0] % 100); }
									 }
				    else {  vars["Tkolumny_d_s"] = " ";
					    vars["Tkolumny_d_u"] = "--";
					    vars["Tkolumny_d_p"] = "--"; }

	if ((alarm_type & HEAD_ALARM_TYPE) != 0)   { vars["HEAD_D_BG"] = "bgcolor='red'"; }
					    else
						   { vars["HEAD_D_BG"] = "bgcolor='white'"; }

	if ((HEAD_ALARM_ENABLED_FLAG_VARIABLE & HEAD_ALARM_ENABLED_FLAG) != 0)
			{ vars["HEAD_ALM_BG"] = "bgcolor=#ffff00"; }
	    else	{ vars["HEAD_ALM_BG"] = "bgcolor='white'"; }

	if ((HEAD_IS_DELTA_FLAG_VARIABLE & HEAD_IS_DELTA_FLAG) != 0) { 
					    if (temp_100s_delta_sign[1] == 0) {
						  vars["Tglowicy_d_s"] = '+'; }
					    else
						{ vars["Tglowicy_d_s"] = '-'; }

					    vars["Tglowicy_d_u"] = temp_100s_delta[1] / 100;
					    if ((temp_100s_delta[1] % 100) < 10) { vars["Tglowicy_d_p"] = String('0') + String(temp_100s_delta[1] % 100); }
						else { vars["Tglowicy_d_p"] = (temp_100s_delta[1] % 100); }
									 }
				    else {  vars["Tglowicy_d_s"] = " ";
					    vars["Tglowicy_d_u"] = "--";
					    vars["Tglowicy_d_p"] = "--"; }

	if ((alarm_type & WATER_ALARM_TYPE) != 0)  { vars["WATER_BG"] = "bgcolor='red'"; }
					    else
						   { vars["WATER_BG"] = "bgcolor='white'"; }

	if (temp_100s[3] < 8400) { vars["liquid_percent"] = "--.--"; }
	if (temp_100s[3] >= 10000) { vars["liquid_percent"] = "0.00"; }
	if ((temp_100s[3] > 8399) && (temp_100s[3] < 10000)) {
	    if ((temp_percentage_100s_t % 100) < 10) {
		vars["liquid_percent"] = String(temp_percentage_100s_t / 100) + ".0" + String(temp_percentage_100s_t % 100);
						     }
	    else				     {
		vars["liquid_percent"] = String(temp_percentage_100s_t / 100) + '.' + String(temp_percentage_100s_t % 100);
						     }
							     }

	vars["hour"] = hour;
	if (minute < 10) { vars["minute"] = String('0') + String(minute % 10); }
	    else { vars["minute"] = String(minute); }
	if (second < 10) { vars["second"] = String('0') + String(second % 10); }
	    else { vars["second"] = String(second); }

	if ((flagi3 & DOWNCOUNT_TIMER_STARTED_FLAG) != 0)
						{ vars["TMR_BG"] = "bgcolor='green'"; }
					    else
						{ vars["TMR_BG"] = "bgcolor='white'"; }
	if ((alarm_type & TIMER_ALARM_TYPE) != 0)
						{ vars["TMR_ALM_BG"] = "bgcolor='red'"; }
					    else
						{ vars["TMR_ALM_BG"] = "bgcolor='white'"; }

	if ((flagi3 & PWM_ENABLED_FLAG) != 0)
						{ vars["PWM_BG"] = "bgcolor='green'"; }
					    else
						{ vars["PWM_BG"] = "bgcolor='white'"; }
	vars["PWM"] = pwm_output;

	vars["tmr_hour"] = downcount_timer_hour;
	if (downcount_timer_minute < 10) { vars["tmr_minute"] = String('0') + String(downcount_timer_minute % 10); }
	    else { vars["tmr_minute"] = String(downcount_timer_minute); }
	if (downcount_timer_second < 10) { vars["tmr_second"] = String('0') + String(downcount_timer_second % 10); }
	    else { vars["tmr_second"] = String(downcount_timer_second); }

	if (alarm_type != 0) {
		vars["TAG_AUDIO"] = "<audio id='audio' autoplay='autoplay' loop='true'>\
				    <source src='/alarm_mp3.mp3' type='audio/mpeg'>\
				    Sorry, w tej przeglądarce alarmy dźwiękowe NIE działają\
				    </audio>";
			     }
	else { vars["TAG_AUDIO"] = ""; }
	
	response.sendTemplate(tmpl); // will be automatically deleted
	
	serving_www = false;
    } // serving_www
    else
    {
	response.redirect("/");
    }
}

/* --------------------------------------------------------- */

void on_STA_File(HttpRequest &request, HttpResponse &response)
{
	String file = request.getPath();
	if (file[0] == '/')
		file = file.substring(1);

	if (file[0] == '.')
		response.forbidden();
	else
	{
		response.setCache(86400, true); // It's important to use cache for better performance.
		response.sendFile(file);
	}
}

/* --------------------------------------------------------- */

void start_STA_WebServer(void)
{
	server.listen(80);
	server.addPath("/", on_STA_Termometr);
//	server.addPath("/ipconfig", on_AP_IpConfig);
//	server.addPath("/ajax/get-networks", on_AP_AjaxNetworkList);
//	server.addPath("/ajax/connect", on_AP_AjaxConnect);
	server.setDefaultHandler(on_STA_File);
}

// Will be called when system initialization was completed
void start_STA_Servers(void)
{
	start_STA_WebServer();
}

/*------------------------------------------------*/

void tcpServerClientConnected (TcpClient* client)
{
	tcp_activeClients++;
	if (tcp_activeClients == 1) {
	    IP_connected = true;
	    last_TcpClient = client;
	    debugf("Application onClientCallback : %s\r\n",client->getRemoteIp().toString().c_str());
				   }
	else {
	    client->writeString("Too late the hero, I am already serving data someone ;P\r\n", false);
	    client->close();
	     }
}

bool tcpServerClientReceive (TcpClient& client, char *data, int size)
{
	debugf("Application DataCallback : %s, %d bytes \r\n",client.getRemoteIp().toString().c_str(),size );
	debugf("Data : %s", data);
	client.sendString("sendString data\r\n", false);
	client.writeString("writeString data\r\n",0 );
	if (strcmp(data,"close") == 0)
	{
		debugf("Closing client");
		client.close();
		last_TcpClient = null;
		IP_connected = false;
	};
	return true;
}

void tcpServerClientComplete(TcpClient& client, bool succesfull)
{
	tcp_activeClients--;
	if (tcp_activeClients == 0) {
	    IP_connected = false;
	    last_TcpClient = null;
				    }

	debugf("Application CompleteCallback : %s \r\n",client.getRemoteIp().toString().c_str() );
}

//TcpServer tcpServer(tcpServerClientConnected, tcpServerClientReceive, tcpServerClientComplete);

void startTCPServer()
{
	stop_AP();
//	WifiAccessPoint.enable(false);
//	AP_started = false;

//	Start_STA_Servers();
//	Start_STA_Webserver();

	tcpServer.listen(3000);

	debugf("=== TCP SERVER Port 3000 STARTED ===");
	debugf("", WifiStation.getIP().toString().c_str());
	debugf("==============================");
//	commandHandler.registerCommand(CommandDelegate("application","This command is defined by the application\r\n","testGroup", applicationCommand));
}

#endif
// END imported from exmple: 
