
#include "defines.h"

extern HttpServer server;

extern BssList networks;
extern String network, password;
extern Timer connectionTimer;
extern Timer serversTimer;
extern Timer LEDTimer;

extern bool	AP_started;

extern	volatile	uint8_t	minute, hour, second;
extern	volatile	uint8_t	downcount_timer_minute, downcount_timer_hour, downcount_timer_second;

extern	volatile	uint8_t	pwm_output;

extern boolean			temp_100s_valid[4];
extern bool			temp_100s_delta_sign[4];
extern uint16_t			temp_100s_delta[4];
extern	uint16_t		temp_1_filtered_10sec_100s;
extern	uint16_t		temp_2_filtered_10sec_100s;

extern	uint16_t		temp_percentage_100s_t;

extern 		uint8_t		alarm_type;

extern 		uint8_t		temp_units[4];
extern		uint16_t	temp_parts[4];
extern		uint16_t	temp_100s[4];

extern	bool			IP_connected;
extern	TcpClient*		last_TcpClient;
extern	uint8_t			tcp_activeClients;

extern volatile	uint8_t		flagi, flagi2, flagi3;

extern 		char		lcd_line1[17];

extern		boolean		serving_www;

/* --------------------------------------------------------- */

#if defined(HX711_test)
HX711		hx711_adc(14, 16, 64);
long		hx711_read;
long		hx711_read_filtered;
long		hx711_buffer[8];
uint8_t		hx711_buffer_pointer;

const double	R1 = 146213;
const double	R2 = 146213;
const double	adc_range = 0x1000000;
double		Rpt;
const double	a = 3.9083e-3;
const double	b = -5.7750e-7;
const double	c = 0;
const double	R0 = 1000;
double		Tpt;
#endif

/* --------------------------------------------------------- */

void 	on_STA_Termometr(HttpRequest &request, HttpResponse &response);
void 	on_STA_File(HttpRequest &request, HttpResponse &response);
void 	start_STA_WebServer(void);
void 	start_STA_Servers(void);
void	stop_AP(void);
void 	tcpServerClientConnected (TcpClient* client);
bool 	tcpServerClientReceive (TcpClient& client, char *data, int size);
void 	tcpServerClientComplete(TcpClient& client, bool succesfull);

extern TcpServer tcpServer;

void startTCPServer();

