/*******************************************/
/* */
/* */
#include "inttypes.h"
#define uchar uint8_t

#include "defines.h"

extern 		char 	lcd_line1[17];
extern 		uint8_t	virt_lcd_line2[49];
extern 		uint8_t	lcd_pointer;
#if defined(__AVR__)
    extern volatile 	uint8_t	lcd_flagi;
#endif
#if defined(__ets__)
    extern 		uint8_t	lcd_flagi;
#endif
extern 		uint8_t	lcd_offset;
extern 		uint8_t	lcd_horiz_offset;


void 	prepare_hex_byte_to_lcd2(int8_t bajt);

#if defined(__AVR__)
    void LCD_virt_display(void);
    extern void lcd_gotoxy(uint8_t x, uint8_t y);
    extern void lcd_putc(char c);
    extern void lcd_puts(const char *s);
#endif

#if defined(__ets__)
    #include <Libraries/LiquidCrystal/LiquidCrystal_I2C.h>
    void(LCD_virt_display(LiquidCrystal_I2C lcd));
#endif
